# RPM Spec file for GGZ KDE Games (Full)

%define name ggz-kde-games
%define version 0.0.6
%define release 2mdk
%define lib_name_orig libggz-kde-games
%define lib_major 1
%define lib_name %{lib_name_orig}%{lib_major}

Name: %{name}
Summary: GGZ Games for KDE
Version: %{version}
Release: %{release}
License: GPL
Group: Games/Other
Source: %name-%version.tar.bz2
URL: http://ggz.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libggz1 >= %{version}-%{release}
BuildRequires: libggz1-devel >= %{version}-%{release}
BuildRequires: libggz-client2 >= %{version}-%{release}
BuildRequires: libggz-client2-devel >= %{version}-%{release}
Requires: libggz1 >= %{version}-%{release}
Requires: libggz-client2 >= %{version}-%{release}
Requires:  %{lib_name_orig} = %{version}-%{release}

%description
The complete set of GGZ Gaming Zone games for the KDE user interface.
Includes all of the following:
    KReversi		Tic-Tac-Tux		Connect the Dots
    Krosswater		Keepalive		Koening
    Muehle

# Main lib package (why are there libraries here, instead of in
# ggz-kde-client?)
%package -n %{lib_name}
Summary:   Libraries for running GGZ Gaming Zone KDE games package
Group:     Games/Other
Provides:  %{lib_name_orig} = %{version}-%{release}
Requires:  libggz-kde2 >= %{version}-%{release}
Requires:  libggz1 >= %{version}-%{release}
Requires:  libggz-client2 >= %{version}-%{release}

%description -n %{lib_name}
The complete set of GGZ Gaming Zone games for the KDE user interface.
Includes all of the following:
    KReversi		Tic-Tac-Tux		Connect the Dots
    Krosswater		Keepalive		Koening
    Muehle

This package includes additional libraries (not in libggz-kde2) needed
to run the GGZ games under the KDE client.

# Devel lib package
%package -n %{lib_name}-devel
Summary:   Libraries for building GGZ Gaming Zone KDE games package
Group:     Games/Other
Provides:  %{lib_name_orig}-devel = %{version}-%{release}
Requires:  %{lib_name_orig} = %{version}-%{release}
Requires:  libggz1 >= %{version}-%{release}
Requires:  libggz1-devel >= %{version}-%{release}
Requires:  libggz-client2 >= %{version}-%{release}
Requires:  libggz-client2-devel >= %{version}-%{release}
Requires:  libggz-kde2 >= %{version}-%{release}
Requires:  libggz-kde2-devel >= %{version}-%{release}
Requires:  %lib_name = %version

%description -n %{lib_name}-devel
The complete set of GGZ Gaming Zone games for the KDE user interface.
Includes all of the following:
    KReversi		Tic-Tac-Tux		Connect the Dots
    Krosswater		Keepalive		Koening
    Muehle

This package includes additional libraries (not in libggz-kde2) needed
to build the GGZ games under the KDE client.

%prep
%setup

%build
%configure --with-xinerama --program-transform-name=""
%make

%install
# Create a ggz.modules file so we can make install easily
mkdir -p $RPM_BUILD_ROOT/etc
touch $RPM_BUILD_ROOT/etc/ggz.modules
make DESTDIR=$RPM_BUILD_ROOT install
rm $RPM_BUILD_ROOT/etc/ggz.modules
rmdir $RPM_BUILD_ROOT/etc

# Get a copy of all of our .dsc files
mkdir -p $RPM_BUILD_ROOT/usr/share/ggz/ggz-config
GAMES="KReversi kdots keepalive koenig krosswater ktictactux muehle"
for i in $GAMES; do
  cp $i/module.dsc $RPM_BUILD_ROOT/usr/share/ggz/ggz-config/kde-$i.dsc
done


%clean
# WARNING - Does not test for a stupid BuildRoot
rm -rf $RPM_BUILD_ROOT


%post 
# Run ggz-config vs. all installed games
GAMES="KReversi kdots keepalive koenig krosswater ktictactux muehle"
for i in $GAMES; do
  ggz-config --install --modfile=/usr/share/ggz/ggz-config/kde-$i.dsc --force
done


%preun
# Run ggz-config to uninstall all the games
GAMES="KReversi kdots keepalive koenig krosswater ktictactux muehle"
for i in $GAMES; do
  ggz-config --remove --modfile=/usr/share/ggz/ggz-config/kde-$i.dsc
done

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.GGZ QuickStart.GGZ TODO

%{_bindir}/muehle-ai.pl

%{_libdir}/ggz/ggzwrap
%{_libdir}/ggz/ggz.kreversi
%{_libdir}/ggz/kdots_client
%{_libdir}/ggz/keepalive
%{_libdir}/ggz/koenig
%{_libdir}/ggz/krosswater_client
%{_libdir}/ggz/ktictactux_client
%{_libdir}/ggz/muehle

%{_datadir}/ggz/ggz-config/*
%{_datadir}/ggz/keepalive
%{_datadir}/ggz/kreversi
%{_datadir}/ggz/krosswater
%{_datadir}/ggz/ktictactux
%{_datadir}/ggz/muehle

%{_mandir}/man1/ggzwrap.1.*
%{_mandir}/man6/muehle-ai.pl.6.*

%{_datadir}/applnk/Games/Board/muehle.desktop
%{_datadir}/applnk/Games/ggz/ktictactux.desktop
%{_datadir}/apps/ggz.kreversi
%{_datadir}/apps/koenig
%{_datadir}/apps/ktictactux
%{_datadir}/icons/hicolor/16x16/apps/koenig.png
%{_datadir}/icons/hicolor/16x16/apps/ktictactux.png
%{_datadir}/icons/hicolor/32x32/actions/warnmessage.png
%{_datadir}/icons/hicolor/32x32/apps/kdots.png
%{_datadir}/icons/hicolor/32x32/apps/krosswater.png
%{_datadir}/icons/hicolor/32x32/apps/ktictactux.png
%{_datadir}/icons/hicolor/32x32/apps/muehle.png
%{_datadir}/icons/hicolor/48x48/apps/ktictactux.png
%{_datadir}/icons/hicolor/64x64/apps/muehle.png

%{_datadir}/locale/de/LC_MESSAGES/ggz.kreversi.mo
%{_datadir}/locale/de/LC_MESSAGES/kdots.mo
%{_datadir}/locale/de/LC_MESSAGES/koenig.mo
%{_datadir}/locale/de/LC_MESSAGES/krosswater.mo
%{_datadir}/locale/de/LC_MESSAGES/ktictactux.mo
%{_datadir}/locale/de/LC_MESSAGES/muehle.mo

%{_datadir}/doc/HTML/en/muehle

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libzoneclient.so.1
%{_libdir}/libzoneclient.so.1.0.0

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/libzoneclient.la
%{_libdir}/libzoneclient.so

%changelog
* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 andi payn <payn@myrealbox.com>
- Updated to 0.0.6
- Mandrakized (split off libggz-kde-games0/libggz-kde-games0-devel, etc.)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5

* Mon Jun 18 2001 Rich Gade <rgade@users.sourceforge.net>
- Added missing dependency information (libggzcore.so.0)

* Sun Jun 17 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
